| Home | Libraries | People | FAQ | More

##### http::parser::content_length_remaining

(Inherited from `http::basic_parser`)

Returns the remaining content length if known.

###### Synopsis

    boost::optional< std::uint64_t >
    content_length_remaining() const;

###### Description

If the message header specifies a Content-Length, the return value will be the number of bytes remaining in the payload body have not yet been parsed.

###### Remarks

The return value is undefined unless `http::basic_parser::is_header_done` would return `true`.